/**
 * output package name
 */
package com.kingdee.eas.custom.logs.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class SendStatusEnum extends StringEnum
{
    public static final String SUCCEED_VALUE = "1";//alias=³É¹¦
    public static final String FAIL_VALUE = "2";//alias=Ê§°Ü

    public static final SendStatusEnum succeed = new SendStatusEnum("succeed", SUCCEED_VALUE);
    public static final SendStatusEnum fail = new SendStatusEnum("fail", FAIL_VALUE);

    /**
     * construct function
     * @param String sendStatusEnum
     */
    private SendStatusEnum(String name, String sendStatusEnum)
    {
        super(name, sendStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SendStatusEnum getEnum(String sendStatusEnum)
    {
        return (SendStatusEnum)getEnum(SendStatusEnum.class, sendStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SendStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SendStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SendStatusEnum.class);
    }
}